%define language        vietnamese
%define basefontdir     %{_datadir}/fonts/vietnamese
%define ttfontdir	%{basefontdir}/TrueType

Name:		fonts-vietnamese
Version:	0.1
Release: 	1.0.2%{?dist}
License:	GPL
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{name}-%{version}.tgz
Summary:	Free Vietnamese TrueType fonts
Requires(post): ttmkfdir >= 3.0.6, mkfontdir, fontconfig, /usr/sbin/chkfontpath
Requires(postun): fontconfig, /usr/sbin/chkfontpath

%description
This package provides the free Vietnamese TrueType fonts.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%{basefontdir}
cp -ra TrueType/ $RPM_BUILD_ROOT%{basefontdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 133
touch %{ttfontdir} 2> /dev/null && {
	/usr/bin/ttmkfdir -d %{ttfontdir} -o %{ttfontdir}/fonts.scale
	mkfontdir %{ttfontdir}
	/usr/sbin/chkfontpath -q -a %{ttfontdir}
}

#Update fontconfig cache
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null

#remove the fonts
umask 133
/usr/sbin/chkfontpath -q -r %{ttfontdir}

%postun
if [ "$1" = 0 ];
then
    umask 133
    /usr/sbin/chkfontpath -q -r %{ttfontdir}
    
    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
fi


%files
%defattr(-, root, root)

%changelog
* Fri Sep 10 2010 Hua Jie <jie.hua@asianux.com> - 0.1-1.0.2%{?dist}
- run chkfontpath -q -r to remove the font dir.

* Fri Sep 10 2010 Hua Jie <jie.hua@asianux.com> - 0.1-1.0.1%{?dist}
- remove all font files.

* Thu Apr 22 2010 Tuananh Pham <anh.pt@asianux.com> - 0.1-1%{?dist}
- Create spec file for vietnamese font.
- Rebuild for AXS
